Subject: Re: [PATCH ethtool-next] rxclass: Make output for RSS context action explicit

From: Jakub Kicinski <[email-masked]>
Date: Sat, 9 Nov 2024 09:42:09 -0800

On Fri, 8 Nov 2024 21:13:50 +0000 Edward Cree wrote:
> I think sensible output would be to keep Daniel's "Action: Direct to
>  RSS context id %u", but also print something like "Queue base offset:
>  %u" with the ring index that was previously printed as the Action.
> If the base offset is zero its output could possibly be suppressed.
> And we should update the ethtool man page to describe the adding
>  behaviour, and audit device drivers to ensure that any that don't
>  support it reject RSS filters with nonzero ring_cookie, as specified
>  in [1].
> Does this sound reasonable?

I'd suggest we merge Daniel's patch (almost) as is, and you can
(re)establish the behavior sfc wants but you owe us:
 - fixes for helpers used in "is the queue in use" checks like
   ethtool_get_max_rss_ctx_channel()
 - "opt in" flag for drivers which actually support this rather 
   than silently ignoring ring_cookie if rss ctx is set
 - selftest

:(